﻿using MindFusion.UI.Wpf;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Reflection;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace WpfApp95
{
    public static class KeyboardLayoutHelper
    {
        public static KeyboardLayout GetLayout()
        {
            var assembly = Assembly.GetExecutingAssembly();
            var resourceName = "WpfApp95.Default.xml";

            var data = assembly.GetManifestResourceStream(resourceName);
            return KeyboardLayout.Create(data);
        }
    }


    public class KeyboardViewModel
    {
        public KeyboardLayout KeyboardLayout { get; }

        public KeyboardViewModel()
        {
            KeyboardLayout = KeyboardLayoutHelper.GetLayout();
        }
    }

    public partial class MainWindow : Window
    {
        public KeyboardLayout KeyboardLayout { get; }
        public KeyboardViewModel KeyboardViewModel { get; }

        public MainWindow()
        {
            KeyboardLayout = KeyboardLayoutHelper.GetLayout();
            KeyboardViewModel = new KeyboardViewModel();

            DataContext = this;
            InitializeComponent();
        }
    }
}
